Package org.eclipse.mat.ui.snapshot

# Class OpenSnapshot.Visitor

java.lang.Object
org.eclipse.mat.ui.snapshot.OpenSnapshot.Visitor

Enclosing class:
  `OpenSnapshot`

public abstract static class OpenSnapshot.Visitor extends Object

## Constructor Summary

Constructors
Constructor
Description
`Visitor()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`go(Shell shell)`
`abstract void`
`visit(IFileStore fileStore)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Visitor

public Visitor()

## Method Details

### visit

public abstract void visit(IFileStore fileStore)

### go

public boolean go(Shell shell)